Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359105 - korgac doesn't start korganizer on click as service name changed
Summary: korgac doesn't start korganizer on click as service name changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 10:06 UTC by Tomas Kopecek
Modified: 2017-01-13 13:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 13:33:04 UTC


Attachments (Terms of Use)
patch (deleted)
2016-07-22 10:06 UTC, Tomas Kopecek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 366117 None None None 2016-07-26 12:57:55 UTC

Description Tomas Kopecek 2016-07-22 10:06:34 UTC
Created attachment 1182766 [details]
patch

Probably also in upstream - desktop file for korganizer was renamed from korganizer.desktop to org.kde.korganizer.desktop, so old calls via dbus' startServiceByDesktopPath no more work - see attached patch

Note: As I'm not using kmail, I don't know what kmail2 service was meant to be. Nevertheless, this service doesn't exist and I've modified it in patch only to be consistent. Feel free to ignore this line.

Quick temporary workaround is:
# sudo ln -s /usr/share/applications/org.kde.korganizer.desktop /usr/share/applications/korganizer.desktop

Comment 1 Rex Dieter 2016-07-22 12:17:25 UTC
I think we definitely ought to engage upstream here (for advice/feedback), mind reporting this @ bugs.kde.org too ?

Comment 2 Tomas Kopecek 2016-07-26 08:02:10 UTC
Filed as https://bugs.kde.org/show_bug.cgi?ida=366117

Comment 3 Rex Dieter 2016-07-26 12:57:55 UTC
Thanks.

Comment 4 Tomas Kopecek 2017-01-13 13:33:04 UTC
Fixed in upstream 16.07.90, so already included in Fedora.


Note You need to log in before you can comment on or make changes to this bug.